# Get refundable VCCs for a property

Retrieve details on refundable VCCs associated with a given accommodation property.

Endpoint: GET /connectivity-payments/properties/{property-id}/refundable-vccs
Version: 1.0

## Header parameters:

  - `Authorization` (string, required)
    Bearer token for authentication.
    Example: "Bearer <your_token>"

## Path parameters:

  - `property-id` (integer, required)

## Query parameters:

  - `page` (integer, required)
    Example: 1

  - `page-size` (integer, required)
    Example: 10

## Response 200 fields (application/json):

  - `meta` (object)
    Metadata for the response

  - `meta.ruid` (string, required)

  - `meta.total_count` (integer, required)
    Total number of records.

  - `meta.next_page` (boolean, required)
    Next page exists

  - `data` (array)
    Data containing required information

  - `data.reservation_id` (integer)
    Accommodation reservation identifier

  - `data.refund_status` (string)
    Refund status
    Example: "REFUNDABLE"

  - `data.vcc_id` (string)
    VCC identifier

  - `data.refund_amount` (object)
    Contains information on the amount to be refunded.

  - `data.refund_amount.currency` (string)
    Currency of the amount.

  - `data.refund_amount.value` (string)
    Amount to be refunded.

  - `data.refund_amount.decimals` (integer)
    Number of decimals in the amount.

  - `data.refund_due_date` (string)
    Due date for the refund

  - `data.reason` (string)
    Reason for the refund

  - `data.comment` (string,null)
    Additional comments for the refund

  - `errors` (array)

  - `warnings` (array)

## Response 400 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"

## Response 401 fields (application/json):

  - `meta` (object)
    Metadata for the response

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `warnings` (array)
    List of warnings for the response

  - `errors` (array)
    List of errors for the response

  - `errors.message` (string)
    Error message

  - `errors.code` (string)
    Error code

  - `errors.details` (string,null)
    Additional error details

## Response 403 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"

## Response 500 fields (application/json):

  - `meta` (object)
    The meta

  - `meta.ruid` (string)
    Request unique identifier
    Example: "string"

  - `data` (object)
    Data containing required information

  - `errors` (array)
    List of errors for the response

  - `errors.description` (string)
    Description of the error

  - `errors.message` (string)
    Error message

  - `errors.status_code` (integer)
    HTTP status code for the error

  - `errors.debug_message` (string)
    Detailed debug message for the error

  - `warnings` (array)
    List of warnings for the response

  - `warnings.message` (string)
    Warning message
    Example: "string"


